Skip to content
Permalink
Browse files

Remove jest and jest-junit from runtime dependencies (#23276)

Summary:
Commit 06c13b3 pretend to update jest
to new version, but also adds jest and jest-junit to runtime dependencies
list (in addition to dev dependencies).

This commit fixes this, by removing jest and jest-junit from runtime
dependeincies.

As for motivation... story is short:
1. Updating RN 0.58.1 -> 0.58.3 I found that whole babel@6 infrastructure was returned to my `node_modules` (it is dangerous, because many tools like metro can found it and use it instead of babel@7).
2. It was because of this commit: 9d19ab0 that have 130 random files changed (and provides no meaning description).
But it points to: b864e7e (which also provides no meaning description, why it was reverted?)
And finally points to: 696bd89, which was a "sync with master" commit. Ok. So it was from master.
3. Then I checked that jest still in runtime dependencies on master and fixed that. Also I hope this will be cherry picked into 0.58-stable.

[General] [Fixed] - Fix jest and jest-junit to be only development dependencies
Pull Request resolved: #23276

Differential Revision: D13941275

Pulled By: cpojer

fbshipit-source-id: a6f3377e670554b21f3ebd2f12d33e29d2969df1
  • Loading branch information...
vovkasm authored and facebook-github-bot committed Feb 4, 2019
1 parent 842b9c1 commit c7b57f19869f31474c8ee17f7a1ac1551bab1b6e
Showing with 0 additions and 2 deletions.
  1. +0 −2 package.json
@@ -178,8 +178,6 @@
"graceful-fs": "^4.1.3",
"inquirer": "^3.0.6",
"invariant": "^2.2.4",
"jest": "24.0.0-alpha.6",
"jest-junit": "5.2.0",
"lodash": "^4.17.5",
"metro-babel-register": "0.51.0",
"metro-react-native-babel-transformer": "0.51.0",

0 comments on commit c7b57f1

Please sign in to comment.
You can’t perform that action at this time.